#ifndef TAGGED_TEXT_H
#define TAGGED_TEXT_H

#include "state.h"
#include "buffer.h"

typedef struct _TaggedText {
    struct _TaggedText *prev, *next;
    char *text;
    State state;
} TaggedText;

typedef struct {
    TaggedText *head;
    TaggedText *tail;
} TaggedTextList;

void free_text_list (TaggedText *text);
void append_text (TaggedTextList *text_list, Buffer *buffer, State state);

#endif
